array.cpp File Reference
`#include <gecode/kernel.hh>`
`#include <gecode/int.hh>`
`#include "test/test.hh"`

Go to the source code of this file.

## Classes

class | Test::Array::Iterator
| Base class for testing iterators More...
class | Test::Array::TestSpace
| Test space. More...
class | Test::Array::VarArrayIterator
| Class for testing the VarArray iterator More...
class | Test::Array::VarArgsIterator
| Class for testing the VarArgs iterator More...
class | Test::Array::ViewArrayIterator
| Class for testing the ViewArray iterator More...
class | Test::Array::SharedArrayIterator
| Class for testing the SharedArray iterator More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Array
| Tests for arrays.

## Macros

#define | CHECK_TEST(T, M)
| Check the test result and handle failed test.
#define | START_TEST(T)
| Start new test.

## Variables

Test::Array::VarArrayIterator | Test::Array::varArrayIteratorTest
Test::Array::VarArgsIterator | Test::Array::varArgsIteratorTest
Test::Array::ViewArrayIterator | Test::Array::viewArrayIteratorTest
Test::Array::SharedArrayIterator | Test::Array::sharedArrayIteratorTest

## Macro Definition Documentation

## CHECK_TEST

#define CHECK_TEST | ( |  | T,
|  |  | M )

Value:
if (opt.log) \
olog << ind(3) << "Check: " << (M) << std::endl; \
if (!(T)) { \
problem = (M); goto failed; \
}
Test::Options::log
bool log
Whether to log the tests.
Definition test.hh:91

Check the test result and handle failed test.

Definition at line 40 of file array.cpp.

## START_TEST

#define START_TEST | ( |  | T | ) |

Value:
if (opt.log) { \
olog.str(""); \
olog << ind(2) << "Testing: " << (T) << std::endl; \
} \
test = (T);

Start new test.

Definition at line 48 of file array.cpp.